var dxf = require('dxf');

var layers = dxf.open('coin.dxf');
var zSafe = 3;
var layer = 'back' // "front" or "back"
var diameter = 94;
var width = workpiece().dims.x;
var height = workpiece().dims.y;

units(METRIC);

rapid({z: zSafe});

feed(125);
speed(4000);

dxf.arc_error = 0.05;

// Face
translate(10);
tool(2);
dxf.cut_layer_offset(layers[layer + '_text'], 0, zSafe, -0.5);
dxf.cut_layer_offset(layers[layer], 0, zSafe, -1.25);
loadIdentity();
rapid({z: zSafe});

if (layer == 'back') {
  // Cutout
  tool(1);
  rapid((width - diameter) / 2 - tool().diameter / 2, height / 2);
  cut({z: 0});
  arc((diameter + tool().diameter) / 2, 0, -25.4 / 4 -1, Math.PI * 2 * 7);
}

rapid({z: zSafe});

// Done
speed(0);
rapid(width / 2, height + 20, 20);
